#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define	pnam	Tester
Summary:	Test::Tester - Ease testing test modules built with Test::Builder
Summary(pl.UTF-8):	Test::Tester - ułatwianie testowania modułów testowych z Test::Buildera
Name:		perl-Test-Tester
Version:	0.109
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d8fd872ee7e959f89a4af0371a7e782d
URL:		http://search.cpan.org/dist/Test-Tester/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have written a test module based on Test::Builder then
Test::Tester allows you to test it with the minimum of effort.

%description -l pl.UTF-8
Jeśli moduł testowy jest oparty na klasie Test::Builder, to
Test::Tester umożliwia przetestowanie go minimalnym nakładem pracy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/Test/Tester.pm
%{perl_vendorlib}/Test/Tester
%{_mandir}/man3/Test::Tester*.3pm*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-Tester.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 58c8126
- updated to 0.109

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 1e60984
- up to 0.108

* Mon Dec 06 2010 Jakub Bogusz <qboosh@pld-linux.org> b1cf360
- more verbose files

* Sun Dec 05 2010 Elan Ruusamäe <glen@pld-linux.org> bd168bc
- release 2

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> b7c249f
- up to 0.107

* Sun Dec 30 2007 zbyniu <zbyniu@pld-linux.org> 6b1213e
- up to 0.106

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 80f4e0c
- up to 0.104, rel1, builds here

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3652b57
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 36d1092
- converted to UTF-8

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 5155363
- pl, generic URL

* Fri Nov 18 2005 migo <migo@pld-linux.org> 5acc5f4
- initial revision

